Bug 305974 - Various problems handling large amount of mail recipients
Summary: Various problems handling large amount of mail recipients
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 4.9.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-29 09:07 UTC by Axel Braun
Modified: 2016-12-13 08:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2012-08-29 09:07:17 UTC
I'm trying to send a mail to a larger amount of recipients. The good news is that the number of recipients can be edited, but:
- number of recipients: No number larger than 500 can be entered. This is not sufficient. IMHO this feature should be removed in total, or increased to 9999.
- when selecting the whole address book (marking the first entry,<shift> marking last entry) it seems that users with multiple addresses are not counted correctly, e.g.
 Jack User
 |- Jack@user.com
 |- jack.user@user.com
is counted as three lines (users). This is in so far a problem as if you run into the a.m. limitation (500 users), the amount of selected addresses is counted 1/3 too high -> In fact you have just selected 2 mailaddresses, and not three
- there is no (easy) way to search for one address in the recipients field (in order to remove this address

Reproducible: Always

Steps to Reproduce:
1. see above
2.
3.
Actual Results:  
see above
Comment 1 Laurent Montel 2012-08-30 06:55:03 UTC
"there is no (easy) way to search for one address in the recipients field (in order to remove this address" 500 emails... yes not easy :)

"- when selecting the whole address book (marking the first entry,<shift> marking last entry) it seems that users with multiple addresses are not counted correctly, e.g." I confirm it. will look at.

"- number of recipients: No number larger than 500 can be entered. This is not sufficient. IMHO this feature should be removed in total, or increased to 9999." Will increase it. but not remove it
Comment 2 Laurent Montel 2012-08-30 07:01:06 UTC
"- when selecting the whole address book (marking the first entry,<shift> marking last entry) it seems that users with multiple addresses are not counted correctly, e.g." incorrect it's ok.
But it's right select a item with define a group will return default email
=> so we will add twice same email. It's not very good.

Perhaps we can exclude it... Don't know.
Comment 3 Laurent Montel 2012-08-30 07:24:02 UTC
Git commit 74055294f269aef74f54fd8c65eea14ee8f646f7 by Montel Laurent.
Committed on 30/08/2012 at 09:23.
Pushed by mlaurent into branch 'KDE/4.9'.

Increase maximum recipient

M  +1    -1    kmail/configuredialog.cpp

http://commits.kde.org/kdepim/74055294f269aef74f54fd8c65eea14ee8f646f7
Comment 4 Axel Braun 2012-08-30 07:27:58 UTC
(In reply to comment #1)
> "there is no (easy) way to search for one address in the recipients field
> (in order to remove this address" 500 emails... yes not easy :)

you are right, I should have written 'not possible'.

> "- when selecting the whole address book (marking the first entry,<shift>
> marking last entry) it seems that users with multiple addresses are not
> counted correctly, e.g." I confirm it. will look at.

I did not check groups (yet), as this feature was broken (doubling up addresses in kaddressbook when creating a new group: https://bugs.kde.org/show_bug.cgi?id=266147 )
Comment 5 Laurent Montel 2012-08-30 07:47:41 UTC
I am not expert in kaddressbook. Will look at soon.
Comment 6 Axel Braun 2013-05-07 12:22:14 UTC
ping.... :-)
Comment 7 Denis Kurz 2016-09-24 18:09:02 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 8 Axel Braun 2016-12-13 08:09:41 UTC
Seems that this problem is disappeared in KMail 5.3.2 - I could send to a mailing list of ~110 people!